/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: init.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero de cabecera, contiene definiciones, prototipos y
 * variables globales.
 */

#ifndef INIT_H
#define INIT_H


/*
 * PROTOTIPOS DE FUNCIONES EXTERNAS
 */

int      inicializa_programa (int argc, char *argv[]);
void     finaliza_programa (void);

/*
 * PROTOTIPOS DE FUNCIONES INTERNAS
 */
 
int      decodifica_linea_de_comandos (int argc, char *argv[]);
int      entra_en_modo_grafico (void);
void     sal_del_modo_grafico (void);
void     lee_configuracion_del_fichero_cfg (void);
void     muestra_ayuda_linea_de_comando (void);


#endif /* INIT_H */

